package types

import "p78git.ddns.net/svi/libtui/alias"

type IPos interface {
	// Get -- возвращает позицию объекта
	Get() (alias.PosX, alias.PosY)
	// Set -- устанавливает позицию виджета
	Set(alias.PosX, alias.PosY)
	// X -- возвращает объект координаты X
	X() IPosX
	// Y -- возвращает объект координаты Y
	Y() IPosY
}
